For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet payment terms
      • POSTCreate a payment term
      • GETGet a payment term by ID
      • DELDelete a payment term
      • PATCHUpdate a payment term
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivablePayment terms

Get a payment term by ID

GET
/payment_terms/:payment_terms_id
GET
/v1/payment_terms/:payment_terms_id
$curl https://api.sandbox.monite.com/v1/payment_terms/payment_terms_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "name": "name",
4 "term_final": {
5 "number_of_days": 1
6 },
7 "description": "description",
8 "term_1": {
9 "discount": 1,
10 "number_of_days": 1
11 },
12 "term_2": {
13 "discount": 1,
14 "number_of_days": 1
15 }
16}
Was this page helpful?
Previous

Delete a payment term

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_terms_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
namestring
term_finalobject
The final tier of the payment term. Defines the invoice due date.
descriptionstring
term_1object
The first tier of the payment term. Represents the terms of the first early discount.
term_2object
The second tier of the payment term. Defines the terms of the second early discount.

Errors

401
Get Payment Terms ID Request Unauthorized Error
403
Get Payment Terms ID Request Forbidden Error
404
Get Payment Terms ID Request Not Found Error
422
Get Payment Terms ID Request Unprocessable Entity Error
500
Get Payment Terms ID Request Internal Server Error